package com.bonus.sgzb.app.mapper;

import com.bonus.sgzb.base.api.domain.LeaseApplyDetails;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
* Description: 领料任务详情Mapper接口
* @Author 阮世耀
* @Create 2023/12/13 15:45
* @Version 1.0
*/

@Mapper
public interface LeaseApplyDetailsMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(LeaseApplyDetails record);

    int insertOrUpdate(LeaseApplyDetails record);

    int insertOrUpdateSelective(LeaseApplyDetails record);

    int insertSelective(LeaseApplyDetails record);

    LeaseApplyDetails selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(LeaseApplyDetails record);

    int updateByPrimaryKey(LeaseApplyDetails record);

    int updateBatch(List<LeaseApplyDetails> list);

    int updateBatchSelective(List<LeaseApplyDetails> list);

    int batchInsert(@Param("list") List<LeaseApplyDetails> list);
}